using skyscraper5.Skyscraper.Text;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.IO;

namespace skyscraper8.Skyscraper.Text.Encodings
{
	[SkyscraperEncoding("dvb-big5")]
	internal class dvb_big5 : SkyscraperBaseEncoding16
	{
		protected override char[] Decrypt(byte[] preprocessed)
		{
			StringBuilder sb = new StringBuilder();
			MemoryStream ms = new MemoryStream(preprocessed, false);
			while (ms.Position < ms.Length)
			{
				byte leadByte = ms.ReadUInt8();
				if (leadByte <= 0x7e)
				{
					AsciiTable.GetAsciiChar(leadByte, sb);
					continue;
				}

				throw new NotImplementedException();
			}

			return sb.ToString().ToCharArray();
		}
	}
}
